package com.prolog.cs.biz.inbound.dto.failure;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * 
 * @author Xiong
 * 2021/4/21 19:00
 */
@ApiModel
public class ExceptionCascadeDTO implements Serializable{
	
	private static final long serialVersionUID = -860398894076410943L;

	@ApiModelProperty(value = "错误单头",required = true) 
	private ExceptionHeadersDTO ExceptionHeader;

	@ApiModelProperty(value = "错误行明细",required = true) 
	private List<ExceptionLinesDTO> ExceptionLineList;

	public ExceptionHeadersDTO getExceptionHeader() {
		return ExceptionHeader;
	}

	public void setExceptionHeader(ExceptionHeadersDTO exceptionHeader) {
		ExceptionHeader = exceptionHeader;
	}

	public List<ExceptionLinesDTO> getExceptionLineList() {
		return ExceptionLineList;
	}

	public void setExceptionLineList(List<ExceptionLinesDTO> exceptionLineList) {
		ExceptionLineList = exceptionLineList;
	}
	
	
	
	
}
